From bd92e0a56428d255b21026414b7a6be1d7e3bba8 Mon Sep 17 00:00:00 2001
From: "Roberto E. Vargas Caballero" <k0ga@shike2.net>
Date: Thu, 16 Oct 2025 13:22:18 +0200
Subject: [PATCH] build: Modify include path

---
 Makefile                                      |   2 +-
 include/{ => scc}/assert.h                    |   0
 include/{ => scc}/bits/amd64/arch/cdefs.h     |   0
 include/{ => scc}/bits/amd64/arch/float.h     |   0
 include/{ => scc}/bits/amd64/arch/limits.h    |   0
 include/{ => scc}/bits/amd64/arch/setjmp.h    |   0
 include/{ => scc}/bits/amd64/arch/stdlib.h    |   0
 include/{ => scc}/bits/amd64/arch/string.h    |   0
 include/{ => scc}/bits/arm/arch/cdefs.h       |   0
 include/{ => scc}/bits/arm/arch/limits.h      |   0
 include/{ => scc}/bits/arm/arch/setjmp.h      |   0
 include/{ => scc}/bits/arm/arch/stdlib.h      |   0
 include/{ => scc}/bits/arm/arch/string.h      |   0
 include/{ => scc}/bits/arm64/arch/cdefs.h     |   0
 include/{ => scc}/bits/arm64/arch/limits.h    |   0
 include/{ => scc}/bits/arm64/arch/setjmp.h    |   0
 include/{ => scc}/bits/arm64/arch/stdlib.h    |   0
 include/{ => scc}/bits/arm64/arch/string.h    |   0
 .../bits/darwin/amd64/arch/inttypes.h         |   0
 .../bits/darwin/amd64/arch/sigaction.h        |   0
 .../{ => scc}/bits/darwin/amd64/arch/stdint.h |   0
 .../{ => scc}/bits/darwin/amd64/arch/time.h   |   0
 include/{ => scc}/bits/darwin/sys.h           |   0
 include/{ => scc}/bits/darwin/sys/cdefs.h     |   0
 include/{ => scc}/bits/darwin/sys/errno.h     |   0
 include/{ => scc}/bits/darwin/sys/signal.h    |   0
 include/{ => scc}/bits/darwin/sys/stdio.h     |   0
 include/{ => scc}/bits/darwin/sys/stdlib.h    |   0
 .../bits/dragonfly/amd64/arch/inttypes.h      |   0
 .../bits/dragonfly/amd64/arch/sigaction.h     |   0
 .../bits/dragonfly/amd64/arch/stdint.h        |   0
 .../bits/dragonfly/amd64/arch/time.h          |   0
 include/{ => scc}/bits/dragonfly/sys.h        |   0
 include/{ => scc}/bits/dragonfly/sys/cdefs.h  |   0
 include/{ => scc}/bits/dragonfly/sys/errno.h  |   0
 include/{ => scc}/bits/dragonfly/sys/signal.h |   0
 include/{ => scc}/bits/dragonfly/sys/stdio.h  |   0
 include/{ => scc}/bits/dragonfly/sys/stdlib.h |   0
 .../bits/freebsd/amd64/arch/inttypes.h        |   0
 .../bits/freebsd/amd64/arch/sigaction.h       |   0
 .../bits/freebsd/amd64/arch/stdint.h          |   0
 .../{ => scc}/bits/freebsd/amd64/arch/time.h  |   0
 include/{ => scc}/bits/freebsd/sys.h          |   0
 include/{ => scc}/bits/freebsd/sys/cdefs.h    |   0
 include/{ => scc}/bits/freebsd/sys/errno.h    |   0
 include/{ => scc}/bits/freebsd/sys/signal.h   |   0
 include/{ => scc}/bits/freebsd/sys/stdio.h    |   0
 include/{ => scc}/bits/freebsd/sys/stdlib.h   |   0
 include/{ => scc}/bits/i386/arch/cdefs.h      |   0
 include/{ => scc}/bits/i386/arch/limits.h     |   0
 include/{ => scc}/bits/i386/arch/setjmp.h     |   0
 include/{ => scc}/bits/i386/arch/stdlib.h     |   0
 include/{ => scc}/bits/i386/arch/string.h     |   0
 .../bits/linux/amd64/arch/inttypes.h          |   0
 .../bits/linux/amd64/arch/sigaction.h         |   0
 .../{ => scc}/bits/linux/amd64/arch/stdint.h  |   0
 .../{ => scc}/bits/linux/amd64/arch/time.h    |   0
 .../{ => scc}/bits/linux/arm/arch/inttypes.h  |   0
 .../{ => scc}/bits/linux/arm/arch/sigaction.h |   0
 .../{ => scc}/bits/linux/arm/arch/stdint.h    |   0
 include/{ => scc}/bits/linux/arm/arch/time.h  |   0
 .../bits/linux/arm64/arch/inttypes.h          |   0
 .../bits/linux/arm64/arch/sigaction.h         |   0
 .../{ => scc}/bits/linux/arm64/arch/stdint.h  |   0
 .../{ => scc}/bits/linux/arm64/arch/time.h    |   0
 .../{ => scc}/bits/linux/i386/arch/inttypes.h |   0
 .../bits/linux/i386/arch/sigaction.h          |   0
 .../{ => scc}/bits/linux/i386/arch/stdint.h   |   0
 include/{ => scc}/bits/linux/i386/arch/time.h |   0
 .../{ => scc}/bits/linux/ppc/arch/inttypes.h  |   0
 .../{ => scc}/bits/linux/ppc/arch/sigaction.h |   0
 .../{ => scc}/bits/linux/ppc/arch/stdint.h    |   0
 include/{ => scc}/bits/linux/ppc/arch/time.h  |   0
 include/{ => scc}/bits/linux/sys.h            |   0
 include/{ => scc}/bits/linux/sys/cdefs.h      |   0
 include/{ => scc}/bits/linux/sys/errno.h      |   0
 include/{ => scc}/bits/linux/sys/signal.h     |   0
 include/{ => scc}/bits/linux/sys/stdio.h      |   0
 include/{ => scc}/bits/linux/sys/stdlib.h     |   0
 .../bits/netbsd/amd64/arch/inttypes.h         |   0
 .../bits/netbsd/amd64/arch/sigaction.h        |   0
 .../{ => scc}/bits/netbsd/amd64/arch/stdint.h |   0
 .../{ => scc}/bits/netbsd/amd64/arch/time.h   |   0
 include/{ => scc}/bits/netbsd/sys.h           |   0
 include/{ => scc}/bits/netbsd/sys/cdefs.h     |   0
 include/{ => scc}/bits/netbsd/sys/errno.h     |   0
 include/{ => scc}/bits/netbsd/sys/signal.h    |   0
 include/{ => scc}/bits/netbsd/sys/stdio.h     |   0
 include/{ => scc}/bits/netbsd/sys/stdlib.h    |   0
 .../bits/openbsd/amd64/arch/inttypes.h        |   0
 .../bits/openbsd/amd64/arch/sigaction.h       |   0
 .../bits/openbsd/amd64/arch/stdint.h          |   0
 .../{ => scc}/bits/openbsd/amd64/arch/time.h  |   0
 include/{ => scc}/bits/openbsd/sys.h          |   0
 include/{ => scc}/bits/openbsd/sys/cdefs.h    |   0
 include/{ => scc}/bits/openbsd/sys/errno.h    |   0
 include/{ => scc}/bits/openbsd/sys/signal.h   |   0
 include/{ => scc}/bits/openbsd/sys/stdio.h    |   0
 include/{ => scc}/bits/openbsd/sys/stdlib.h   |   0
 include/{ => scc}/bits/ppc/arch/cdefs.h       |   0
 include/{ => scc}/bits/ppc/arch/limits.h      |   0
 include/{ => scc}/bits/ppc/arch/setjmp.h      |   0
 include/{ => scc}/bits/ppc/arch/stdlib.h      |   0
 include/{ => scc}/bits/ppc/arch/string.h      |   0
 include/{ => scc}/bits/scc/.gitignore         |   0
 include/{ => scc}/bits/scc/Makefile           |   2 +-
 include/{ => scc}/bits/scc/ar.h               |   0
 include/{ => scc}/bits/scc/arg.h              |   0
 include/{ => scc}/bits/scc/coff32.h           |   0
 include/{ => scc}/bits/scc/coff32/aouthdr.h   |   0
 include/{ => scc}/bits/scc/coff32/filehdr.h   |   0
 include/{ => scc}/bits/scc/coff32/linenum.h   |   0
 include/{ => scc}/bits/scc/coff32/reloc.h     |   0
 include/{ => scc}/bits/scc/coff32/scnhdr.h    |   0
 include/{ => scc}/bits/scc/coff32/storclass.h |   0
 include/{ => scc}/bits/scc/coff32/syms.h      |   0
 include/{ => scc}/bits/scc/cstd-c89.h         |   0
 include/{ => scc}/bits/scc/cstd-c99.h         |   0
 include/{ => scc}/bits/scc/elf.h              |   0
 include/{ => scc}/bits/scc/elf/elfent.h       |   0
 include/{ => scc}/bits/scc/elf/elfhdr.h       |   0
 include/{ => scc}/bits/scc/elf/elfphdr.h      |   0
 include/{ => scc}/bits/scc/elf/elfrel.h       |   0
 include/{ => scc}/bits/scc/elf/elfshdr.h      |   0
 include/{ => scc}/bits/scc/elf/elftypes.h     |   0
 include/{ => scc}/bits/scc/elf64.h            |   0
 include/{ => scc}/bits/scc/mach.h             |   0
 include/{ => scc}/bits/scc/scc.h              |   0
 include/{ => scc}/bits/scc/sys-musl.h         |   0
 include/{ => scc}/bits/scc/sys-scc.h          |   8 +-
 include/{ => scc}/bits/scc/sys-scc_clang.h    |   8 +-
 include/{ => scc}/bits/z80/arch/cdefs.h       |   0
 include/{ => scc}/bits/z80/arch/limits.h      |   0
 include/{ => scc}/bits/z80/arch/setjmp.h      |   0
 include/{ => scc}/bits/z80/arch/stdint.h      |   0
 include/{ => scc}/bits/z80/arch/stdlib.h      |   0
 include/{ => scc}/bits/z80/arch/string.h      |   0
 include/{ => scc}/ctype.h                     |   0
 include/{ => scc}/errno.h                     |   0
 include/{ => scc}/float.h                     |   0
 include/{ => scc}/inttypes.h                  |   0
 include/{ => scc}/iso646.h                    |   0
 include/{ => scc}/limits.h                    |   0
 include/{ => scc}/locale.h                    |   0
 include/{ => scc}/math.h                      |   0
 include/{ => scc}/setjmp.h                    |   0
 include/{ => scc}/signal.h                    |   0
 include/{ => scc}/stdarg.h                    |   0
 include/{ => scc}/stdbool.h                   |   0
 include/{ => scc}/stddef.h                    |   0
 include/{ => scc}/stdint.h                    |   0
 include/{ => scc}/stdio.h                     |   0
 include/{ => scc}/stdlib.h                    |   0
 include/{ => scc}/string.h                    |   0
 include/{ => scc}/time.h                      |   0
 include/{ => scc}/wchar.h                     |   0
 include/{ => scc}/wctype.h                    |   0
 main.mk                                       |  10 +-
 scripts/proto.all                             | 349 +++++++++---------
 scripts/rules.mk                              |   2 +-
 src/libc/gcc-scc.sh                           |   2 +-
 161 files changed, 192 insertions(+), 191 deletions(-)
 rename include/{ => scc}/assert.h (100%)
 rename include/{ => scc}/bits/amd64/arch/cdefs.h (100%)
 rename include/{ => scc}/bits/amd64/arch/float.h (100%)
 rename include/{ => scc}/bits/amd64/arch/limits.h (100%)
 rename include/{ => scc}/bits/amd64/arch/setjmp.h (100%)
 rename include/{ => scc}/bits/amd64/arch/stdlib.h (100%)
 rename include/{ => scc}/bits/amd64/arch/string.h (100%)
 rename include/{ => scc}/bits/arm/arch/cdefs.h (100%)
 rename include/{ => scc}/bits/arm/arch/limits.h (100%)
 rename include/{ => scc}/bits/arm/arch/setjmp.h (100%)
 rename include/{ => scc}/bits/arm/arch/stdlib.h (100%)
 rename include/{ => scc}/bits/arm/arch/string.h (100%)
 rename include/{ => scc}/bits/arm64/arch/cdefs.h (100%)
 rename include/{ => scc}/bits/arm64/arch/limits.h (100%)
 rename include/{ => scc}/bits/arm64/arch/setjmp.h (100%)
 rename include/{ => scc}/bits/arm64/arch/stdlib.h (100%)
 rename include/{ => scc}/bits/arm64/arch/string.h (100%)
 rename include/{ => scc}/bits/darwin/amd64/arch/inttypes.h (100%)
 rename include/{ => scc}/bits/darwin/amd64/arch/sigaction.h (100%)
 rename include/{ => scc}/bits/darwin/amd64/arch/stdint.h (100%)
 rename include/{ => scc}/bits/darwin/amd64/arch/time.h (100%)
 rename include/{ => scc}/bits/darwin/sys.h (100%)
 rename include/{ => scc}/bits/darwin/sys/cdefs.h (100%)
 rename include/{ => scc}/bits/darwin/sys/errno.h (100%)
 rename include/{ => scc}/bits/darwin/sys/signal.h (100%)
 rename include/{ => scc}/bits/darwin/sys/stdio.h (100%)
 rename include/{ => scc}/bits/darwin/sys/stdlib.h (100%)
 rename include/{ => scc}/bits/dragonfly/amd64/arch/inttypes.h (100%)
 rename include/{ => scc}/bits/dragonfly/amd64/arch/sigaction.h (100%)
 rename include/{ => scc}/bits/dragonfly/amd64/arch/stdint.h (100%)
 rename include/{ => scc}/bits/dragonfly/amd64/arch/time.h (100%)
 rename include/{ => scc}/bits/dragonfly/sys.h (100%)
 rename include/{ => scc}/bits/dragonfly/sys/cdefs.h (100%)
 rename include/{ => scc}/bits/dragonfly/sys/errno.h (100%)
 rename include/{ => scc}/bits/dragonfly/sys/signal.h (100%)
 rename include/{ => scc}/bits/dragonfly/sys/stdio.h (100%)
 rename include/{ => scc}/bits/dragonfly/sys/stdlib.h (100%)
 rename include/{ => scc}/bits/freebsd/amd64/arch/inttypes.h (100%)
 rename include/{ => scc}/bits/freebsd/amd64/arch/sigaction.h (100%)
 rename include/{ => scc}/bits/freebsd/amd64/arch/stdint.h (100%)
 rename include/{ => scc}/bits/freebsd/amd64/arch/time.h (100%)
 rename include/{ => scc}/bits/freebsd/sys.h (100%)
 rename include/{ => scc}/bits/freebsd/sys/cdefs.h (100%)
 rename include/{ => scc}/bits/freebsd/sys/errno.h (100%)
 rename include/{ => scc}/bits/freebsd/sys/signal.h (100%)
 rename include/{ => scc}/bits/freebsd/sys/stdio.h (100%)
 rename include/{ => scc}/bits/freebsd/sys/stdlib.h (100%)
 rename include/{ => scc}/bits/i386/arch/cdefs.h (100%)
 rename include/{ => scc}/bits/i386/arch/limits.h (100%)
 rename include/{ => scc}/bits/i386/arch/setjmp.h (100%)
 rename include/{ => scc}/bits/i386/arch/stdlib.h (100%)
 rename include/{ => scc}/bits/i386/arch/string.h (100%)
 rename include/{ => scc}/bits/linux/amd64/arch/inttypes.h (100%)
 rename include/{ => scc}/bits/linux/amd64/arch/sigaction.h (100%)
 rename include/{ => scc}/bits/linux/amd64/arch/stdint.h (100%)
 rename include/{ => scc}/bits/linux/amd64/arch/time.h (100%)
 rename include/{ => scc}/bits/linux/arm/arch/inttypes.h (100%)
 rename include/{ => scc}/bits/linux/arm/arch/sigaction.h (100%)
 rename include/{ => scc}/bits/linux/arm/arch/stdint.h (100%)
 rename include/{ => scc}/bits/linux/arm/arch/time.h (100%)
 rename include/{ => scc}/bits/linux/arm64/arch/inttypes.h (100%)
 rename include/{ => scc}/bits/linux/arm64/arch/sigaction.h (100%)
 rename include/{ => scc}/bits/linux/arm64/arch/stdint.h (100%)
 rename include/{ => scc}/bits/linux/arm64/arch/time.h (100%)
 rename include/{ => scc}/bits/linux/i386/arch/inttypes.h (100%)
 rename include/{ => scc}/bits/linux/i386/arch/sigaction.h (100%)
 rename include/{ => scc}/bits/linux/i386/arch/stdint.h (100%)
 rename include/{ => scc}/bits/linux/i386/arch/time.h (100%)
 rename include/{ => scc}/bits/linux/ppc/arch/inttypes.h (100%)
 rename include/{ => scc}/bits/linux/ppc/arch/sigaction.h (100%)
 rename include/{ => scc}/bits/linux/ppc/arch/stdint.h (100%)
 rename include/{ => scc}/bits/linux/ppc/arch/time.h (100%)
 rename include/{ => scc}/bits/linux/sys.h (100%)
 rename include/{ => scc}/bits/linux/sys/cdefs.h (100%)
 rename include/{ => scc}/bits/linux/sys/errno.h (100%)
 rename include/{ => scc}/bits/linux/sys/signal.h (100%)
 rename include/{ => scc}/bits/linux/sys/stdio.h (100%)
 rename include/{ => scc}/bits/linux/sys/stdlib.h (100%)
 rename include/{ => scc}/bits/netbsd/amd64/arch/inttypes.h (100%)
 rename include/{ => scc}/bits/netbsd/amd64/arch/sigaction.h (100%)
 rename include/{ => scc}/bits/netbsd/amd64/arch/stdint.h (100%)
 rename include/{ => scc}/bits/netbsd/amd64/arch/time.h (100%)
 rename include/{ => scc}/bits/netbsd/sys.h (100%)
 rename include/{ => scc}/bits/netbsd/sys/cdefs.h (100%)
 rename include/{ => scc}/bits/netbsd/sys/errno.h (100%)
 rename include/{ => scc}/bits/netbsd/sys/signal.h (100%)
 rename include/{ => scc}/bits/netbsd/sys/stdio.h (100%)
 rename include/{ => scc}/bits/netbsd/sys/stdlib.h (100%)
 rename include/{ => scc}/bits/openbsd/amd64/arch/inttypes.h (100%)
 rename include/{ => scc}/bits/openbsd/amd64/arch/sigaction.h (100%)
 rename include/{ => scc}/bits/openbsd/amd64/arch/stdint.h (100%)
 rename include/{ => scc}/bits/openbsd/amd64/arch/time.h (100%)
 rename include/{ => scc}/bits/openbsd/sys.h (100%)
 rename include/{ => scc}/bits/openbsd/sys/cdefs.h (100%)
 rename include/{ => scc}/bits/openbsd/sys/errno.h (100%)
 rename include/{ => scc}/bits/openbsd/sys/signal.h (100%)
 rename include/{ => scc}/bits/openbsd/sys/stdio.h (100%)
 rename include/{ => scc}/bits/openbsd/sys/stdlib.h (100%)
 rename include/{ => scc}/bits/ppc/arch/cdefs.h (100%)
 rename include/{ => scc}/bits/ppc/arch/limits.h (100%)
 rename include/{ => scc}/bits/ppc/arch/setjmp.h (100%)
 rename include/{ => scc}/bits/ppc/arch/stdlib.h (100%)
 rename include/{ => scc}/bits/ppc/arch/string.h (100%)
 rename include/{ => scc}/bits/scc/.gitignore (100%)
 rename include/{ => scc}/bits/scc/Makefile (96%)
 rename include/{ => scc}/bits/scc/ar.h (100%)
 rename include/{ => scc}/bits/scc/arg.h (100%)
 rename include/{ => scc}/bits/scc/coff32.h (100%)
 rename include/{ => scc}/bits/scc/coff32/aouthdr.h (100%)
 rename include/{ => scc}/bits/scc/coff32/filehdr.h (100%)
 rename include/{ => scc}/bits/scc/coff32/linenum.h (100%)
 rename include/{ => scc}/bits/scc/coff32/reloc.h (100%)
 rename include/{ => scc}/bits/scc/coff32/scnhdr.h (100%)
 rename include/{ => scc}/bits/scc/coff32/storclass.h (100%)
 rename include/{ => scc}/bits/scc/coff32/syms.h (100%)
 rename include/{ => scc}/bits/scc/cstd-c89.h (100%)
 rename include/{ => scc}/bits/scc/cstd-c99.h (100%)
 rename include/{ => scc}/bits/scc/elf.h (100%)
 rename include/{ => scc}/bits/scc/elf/elfent.h (100%)
 rename include/{ => scc}/bits/scc/elf/elfhdr.h (100%)
 rename include/{ => scc}/bits/scc/elf/elfphdr.h (100%)
 rename include/{ => scc}/bits/scc/elf/elfrel.h (100%)
 rename include/{ => scc}/bits/scc/elf/elfshdr.h (100%)
 rename include/{ => scc}/bits/scc/elf/elftypes.h (100%)
 rename include/{ => scc}/bits/scc/elf64.h (100%)
 rename include/{ => scc}/bits/scc/mach.h (100%)
 rename include/{ => scc}/bits/scc/scc.h (100%)
 rename include/{ => scc}/bits/scc/sys-musl.h (100%)
 rename include/{ => scc}/bits/scc/sys-scc.h (80%)
 rename include/{ => scc}/bits/scc/sys-scc_clang.h (82%)
 rename include/{ => scc}/bits/z80/arch/cdefs.h (100%)
 rename include/{ => scc}/bits/z80/arch/limits.h (100%)
 rename include/{ => scc}/bits/z80/arch/setjmp.h (100%)
 rename include/{ => scc}/bits/z80/arch/stdint.h (100%)
 rename include/{ => scc}/bits/z80/arch/stdlib.h (100%)
 rename include/{ => scc}/bits/z80/arch/string.h (100%)
 rename include/{ => scc}/ctype.h (100%)
 rename include/{ => scc}/errno.h (100%)
 rename include/{ => scc}/float.h (100%)
 rename include/{ => scc}/inttypes.h (100%)
 rename include/{ => scc}/iso646.h (100%)
 rename include/{ => scc}/limits.h (100%)
 rename include/{ => scc}/locale.h (100%)
 rename include/{ => scc}/math.h (100%)
 rename include/{ => scc}/setjmp.h (100%)
 rename include/{ => scc}/signal.h (100%)
 rename include/{ => scc}/stdarg.h (100%)
 rename include/{ => scc}/stdbool.h (100%)
 rename include/{ => scc}/stddef.h (100%)
 rename include/{ => scc}/stdint.h (100%)
 rename include/{ => scc}/stdio.h (100%)
 rename include/{ => scc}/stdlib.h (100%)
 rename include/{ => scc}/string.h (100%)
 rename include/{ => scc}/time.h (100%)
 rename include/{ => scc}/wchar.h (100%)
 rename include/{ => scc}/wctype.h (100%)

diff --git a/Makefile b/Makefile
index 8cc8dca2..61650f84 100644
--- a/Makefile
+++ b/Makefile
@@ -36,7 +36,7 @@ config-musl: scc-make FORCE
 	sed -En '/COLLECT_LTO_WRAPPER=/ s/.*=(.*)\/lto-wrapper/\1/p' |\
 	(read -r path; \
 	 printf "g/define GCCLIBPATH/ s@.*@#define GCCLIBPATH \"$$path/\"@\nw\n") |\
-	ed -s include/bits/scc/sys.h
+	ed -s include/scc/bits/scc/sys.h
 
 clean: FORCE
 	touch config.mk
diff --git a/include/assert.h b/include/scc/assert.h
similarity index 100%
rename from include/assert.h
rename to include/scc/assert.h
diff --git a/include/bits/amd64/arch/cdefs.h b/include/scc/bits/amd64/arch/cdefs.h
similarity index 100%
rename from include/bits/amd64/arch/cdefs.h
rename to include/scc/bits/amd64/arch/cdefs.h
diff --git a/include/bits/amd64/arch/float.h b/include/scc/bits/amd64/arch/float.h
similarity index 100%
rename from include/bits/amd64/arch/float.h
rename to include/scc/bits/amd64/arch/float.h
diff --git a/include/bits/amd64/arch/limits.h b/include/scc/bits/amd64/arch/limits.h
similarity index 100%
rename from include/bits/amd64/arch/limits.h
rename to include/scc/bits/amd64/arch/limits.h
diff --git a/include/bits/amd64/arch/setjmp.h b/include/scc/bits/amd64/arch/setjmp.h
similarity index 100%
rename from include/bits/amd64/arch/setjmp.h
rename to include/scc/bits/amd64/arch/setjmp.h
diff --git a/include/bits/amd64/arch/stdlib.h b/include/scc/bits/amd64/arch/stdlib.h
similarity index 100%
rename from include/bits/amd64/arch/stdlib.h
rename to include/scc/bits/amd64/arch/stdlib.h
diff --git a/include/bits/amd64/arch/string.h b/include/scc/bits/amd64/arch/string.h
similarity index 100%
rename from include/bits/amd64/arch/string.h
rename to include/scc/bits/amd64/arch/string.h
diff --git a/include/bits/arm/arch/cdefs.h b/include/scc/bits/arm/arch/cdefs.h
similarity index 100%
rename from include/bits/arm/arch/cdefs.h
rename to include/scc/bits/arm/arch/cdefs.h
diff --git a/include/bits/arm/arch/limits.h b/include/scc/bits/arm/arch/limits.h
similarity index 100%
rename from include/bits/arm/arch/limits.h
rename to include/scc/bits/arm/arch/limits.h
diff --git a/include/bits/arm/arch/setjmp.h b/include/scc/bits/arm/arch/setjmp.h
similarity index 100%
rename from include/bits/arm/arch/setjmp.h
rename to include/scc/bits/arm/arch/setjmp.h
diff --git a/include/bits/arm/arch/stdlib.h b/include/scc/bits/arm/arch/stdlib.h
similarity index 100%
rename from include/bits/arm/arch/stdlib.h
rename to include/scc/bits/arm/arch/stdlib.h
diff --git a/include/bits/arm/arch/string.h b/include/scc/bits/arm/arch/string.h
similarity index 100%
rename from include/bits/arm/arch/string.h
rename to include/scc/bits/arm/arch/string.h
diff --git a/include/bits/arm64/arch/cdefs.h b/include/scc/bits/arm64/arch/cdefs.h
similarity index 100%
rename from include/bits/arm64/arch/cdefs.h
rename to include/scc/bits/arm64/arch/cdefs.h
diff --git a/include/bits/arm64/arch/limits.h b/include/scc/bits/arm64/arch/limits.h
similarity index 100%
rename from include/bits/arm64/arch/limits.h
rename to include/scc/bits/arm64/arch/limits.h
diff --git a/include/bits/arm64/arch/setjmp.h b/include/scc/bits/arm64/arch/setjmp.h
similarity index 100%
rename from include/bits/arm64/arch/setjmp.h
rename to include/scc/bits/arm64/arch/setjmp.h
diff --git a/include/bits/arm64/arch/stdlib.h b/include/scc/bits/arm64/arch/stdlib.h
similarity index 100%
rename from include/bits/arm64/arch/stdlib.h
rename to include/scc/bits/arm64/arch/stdlib.h
diff --git a/include/bits/arm64/arch/string.h b/include/scc/bits/arm64/arch/string.h
similarity index 100%
rename from include/bits/arm64/arch/string.h
rename to include/scc/bits/arm64/arch/string.h
diff --git a/include/bits/darwin/amd64/arch/inttypes.h b/include/scc/bits/darwin/amd64/arch/inttypes.h
similarity index 100%
rename from include/bits/darwin/amd64/arch/inttypes.h
rename to include/scc/bits/darwin/amd64/arch/inttypes.h
diff --git a/include/bits/darwin/amd64/arch/sigaction.h b/include/scc/bits/darwin/amd64/arch/sigaction.h
similarity index 100%
rename from include/bits/darwin/amd64/arch/sigaction.h
rename to include/scc/bits/darwin/amd64/arch/sigaction.h
diff --git a/include/bits/darwin/amd64/arch/stdint.h b/include/scc/bits/darwin/amd64/arch/stdint.h
similarity index 100%
rename from include/bits/darwin/amd64/arch/stdint.h
rename to include/scc/bits/darwin/amd64/arch/stdint.h
diff --git a/include/bits/darwin/amd64/arch/time.h b/include/scc/bits/darwin/amd64/arch/time.h
similarity index 100%
rename from include/bits/darwin/amd64/arch/time.h
rename to include/scc/bits/darwin/amd64/arch/time.h
diff --git a/include/bits/darwin/sys.h b/include/scc/bits/darwin/sys.h
similarity index 100%
rename from include/bits/darwin/sys.h
rename to include/scc/bits/darwin/sys.h
diff --git a/include/bits/darwin/sys/cdefs.h b/include/scc/bits/darwin/sys/cdefs.h
similarity index 100%
rename from include/bits/darwin/sys/cdefs.h
rename to include/scc/bits/darwin/sys/cdefs.h
diff --git a/include/bits/darwin/sys/errno.h b/include/scc/bits/darwin/sys/errno.h
similarity index 100%
rename from include/bits/darwin/sys/errno.h
rename to include/scc/bits/darwin/sys/errno.h
diff --git a/include/bits/darwin/sys/signal.h b/include/scc/bits/darwin/sys/signal.h
similarity index 100%
rename from include/bits/darwin/sys/signal.h
rename to include/scc/bits/darwin/sys/signal.h
diff --git a/include/bits/darwin/sys/stdio.h b/include/scc/bits/darwin/sys/stdio.h
similarity index 100%
rename from include/bits/darwin/sys/stdio.h
rename to include/scc/bits/darwin/sys/stdio.h
diff --git a/include/bits/darwin/sys/stdlib.h b/include/scc/bits/darwin/sys/stdlib.h
similarity index 100%
rename from include/bits/darwin/sys/stdlib.h
rename to include/scc/bits/darwin/sys/stdlib.h
diff --git a/include/bits/dragonfly/amd64/arch/inttypes.h b/include/scc/bits/dragonfly/amd64/arch/inttypes.h
similarity index 100%
rename from include/bits/dragonfly/amd64/arch/inttypes.h
rename to include/scc/bits/dragonfly/amd64/arch/inttypes.h
diff --git a/include/bits/dragonfly/amd64/arch/sigaction.h b/include/scc/bits/dragonfly/amd64/arch/sigaction.h
similarity index 100%
rename from include/bits/dragonfly/amd64/arch/sigaction.h
rename to include/scc/bits/dragonfly/amd64/arch/sigaction.h
diff --git a/include/bits/dragonfly/amd64/arch/stdint.h b/include/scc/bits/dragonfly/amd64/arch/stdint.h
similarity index 100%
rename from include/bits/dragonfly/amd64/arch/stdint.h
rename to include/scc/bits/dragonfly/amd64/arch/stdint.h
diff --git a/include/bits/dragonfly/amd64/arch/time.h b/include/scc/bits/dragonfly/amd64/arch/time.h
similarity index 100%
rename from include/bits/dragonfly/amd64/arch/time.h
rename to include/scc/bits/dragonfly/amd64/arch/time.h
diff --git a/include/bits/dragonfly/sys.h b/include/scc/bits/dragonfly/sys.h
similarity index 100%
rename from include/bits/dragonfly/sys.h
rename to include/scc/bits/dragonfly/sys.h
diff --git a/include/bits/dragonfly/sys/cdefs.h b/include/scc/bits/dragonfly/sys/cdefs.h
similarity index 100%
rename from include/bits/dragonfly/sys/cdefs.h
rename to include/scc/bits/dragonfly/sys/cdefs.h
diff --git a/include/bits/dragonfly/sys/errno.h b/include/scc/bits/dragonfly/sys/errno.h
similarity index 100%
rename from include/bits/dragonfly/sys/errno.h
rename to include/scc/bits/dragonfly/sys/errno.h
diff --git a/include/bits/dragonfly/sys/signal.h b/include/scc/bits/dragonfly/sys/signal.h
similarity index 100%
rename from include/bits/dragonfly/sys/signal.h
rename to include/scc/bits/dragonfly/sys/signal.h
diff --git a/include/bits/dragonfly/sys/stdio.h b/include/scc/bits/dragonfly/sys/stdio.h
similarity index 100%
rename from include/bits/dragonfly/sys/stdio.h
rename to include/scc/bits/dragonfly/sys/stdio.h
diff --git a/include/bits/dragonfly/sys/stdlib.h b/include/scc/bits/dragonfly/sys/stdlib.h
similarity index 100%
rename from include/bits/dragonfly/sys/stdlib.h
rename to include/scc/bits/dragonfly/sys/stdlib.h
diff --git a/include/bits/freebsd/amd64/arch/inttypes.h b/include/scc/bits/freebsd/amd64/arch/inttypes.h
similarity index 100%
rename from include/bits/freebsd/amd64/arch/inttypes.h
rename to include/scc/bits/freebsd/amd64/arch/inttypes.h
diff --git a/include/bits/freebsd/amd64/arch/sigaction.h b/include/scc/bits/freebsd/amd64/arch/sigaction.h
similarity index 100%
rename from include/bits/freebsd/amd64/arch/sigaction.h
rename to include/scc/bits/freebsd/amd64/arch/sigaction.h
diff --git a/include/bits/freebsd/amd64/arch/stdint.h b/include/scc/bits/freebsd/amd64/arch/stdint.h
similarity index 100%
rename from include/bits/freebsd/amd64/arch/stdint.h
rename to include/scc/bits/freebsd/amd64/arch/stdint.h
diff --git a/include/bits/freebsd/amd64/arch/time.h b/include/scc/bits/freebsd/amd64/arch/time.h
similarity index 100%
rename from include/bits/freebsd/amd64/arch/time.h
rename to include/scc/bits/freebsd/amd64/arch/time.h
diff --git a/include/bits/freebsd/sys.h b/include/scc/bits/freebsd/sys.h
similarity index 100%
rename from include/bits/freebsd/sys.h
rename to include/scc/bits/freebsd/sys.h
diff --git a/include/bits/freebsd/sys/cdefs.h b/include/scc/bits/freebsd/sys/cdefs.h
similarity index 100%
rename from include/bits/freebsd/sys/cdefs.h
rename to include/scc/bits/freebsd/sys/cdefs.h
diff --git a/include/bits/freebsd/sys/errno.h b/include/scc/bits/freebsd/sys/errno.h
similarity index 100%
rename from include/bits/freebsd/sys/errno.h
rename to include/scc/bits/freebsd/sys/errno.h
diff --git a/include/bits/freebsd/sys/signal.h b/include/scc/bits/freebsd/sys/signal.h
similarity index 100%
rename from include/bits/freebsd/sys/signal.h
rename to include/scc/bits/freebsd/sys/signal.h
diff --git a/include/bits/freebsd/sys/stdio.h b/include/scc/bits/freebsd/sys/stdio.h
similarity index 100%
rename from include/bits/freebsd/sys/stdio.h
rename to include/scc/bits/freebsd/sys/stdio.h
diff --git a/include/bits/freebsd/sys/stdlib.h b/include/scc/bits/freebsd/sys/stdlib.h
similarity index 100%
rename from include/bits/freebsd/sys/stdlib.h
rename to include/scc/bits/freebsd/sys/stdlib.h
diff --git a/include/bits/i386/arch/cdefs.h b/include/scc/bits/i386/arch/cdefs.h
similarity index 100%
rename from include/bits/i386/arch/cdefs.h
rename to include/scc/bits/i386/arch/cdefs.h
diff --git a/include/bits/i386/arch/limits.h b/include/scc/bits/i386/arch/limits.h
similarity index 100%
rename from include/bits/i386/arch/limits.h
rename to include/scc/bits/i386/arch/limits.h
diff --git a/include/bits/i386/arch/setjmp.h b/include/scc/bits/i386/arch/setjmp.h
similarity index 100%
rename from include/bits/i386/arch/setjmp.h
rename to include/scc/bits/i386/arch/setjmp.h
diff --git a/include/bits/i386/arch/stdlib.h b/include/scc/bits/i386/arch/stdlib.h
similarity index 100%
rename from include/bits/i386/arch/stdlib.h
rename to include/scc/bits/i386/arch/stdlib.h
diff --git a/include/bits/i386/arch/string.h b/include/scc/bits/i386/arch/string.h
similarity index 100%
rename from include/bits/i386/arch/string.h
rename to include/scc/bits/i386/arch/string.h
diff --git a/include/bits/linux/amd64/arch/inttypes.h b/include/scc/bits/linux/amd64/arch/inttypes.h
similarity index 100%
rename from include/bits/linux/amd64/arch/inttypes.h
rename to include/scc/bits/linux/amd64/arch/inttypes.h
diff --git a/include/bits/linux/amd64/arch/sigaction.h b/include/scc/bits/linux/amd64/arch/sigaction.h
similarity index 100%
rename from include/bits/linux/amd64/arch/sigaction.h
rename to include/scc/bits/linux/amd64/arch/sigaction.h
diff --git a/include/bits/linux/amd64/arch/stdint.h b/include/scc/bits/linux/amd64/arch/stdint.h
similarity index 100%
rename from include/bits/linux/amd64/arch/stdint.h
rename to include/scc/bits/linux/amd64/arch/stdint.h
diff --git a/include/bits/linux/amd64/arch/time.h b/include/scc/bits/linux/amd64/arch/time.h
similarity index 100%
rename from include/bits/linux/amd64/arch/time.h
rename to include/scc/bits/linux/amd64/arch/time.h
diff --git a/include/bits/linux/arm/arch/inttypes.h b/include/scc/bits/linux/arm/arch/inttypes.h
similarity index 100%
rename from include/bits/linux/arm/arch/inttypes.h
rename to include/scc/bits/linux/arm/arch/inttypes.h
diff --git a/include/bits/linux/arm/arch/sigaction.h b/include/scc/bits/linux/arm/arch/sigaction.h
similarity index 100%
rename from include/bits/linux/arm/arch/sigaction.h
rename to include/scc/bits/linux/arm/arch/sigaction.h
diff --git a/include/bits/linux/arm/arch/stdint.h b/include/scc/bits/linux/arm/arch/stdint.h
similarity index 100%
rename from include/bits/linux/arm/arch/stdint.h
rename to include/scc/bits/linux/arm/arch/stdint.h
diff --git a/include/bits/linux/arm/arch/time.h b/include/scc/bits/linux/arm/arch/time.h
similarity index 100%
rename from include/bits/linux/arm/arch/time.h
rename to include/scc/bits/linux/arm/arch/time.h
diff --git a/include/bits/linux/arm64/arch/inttypes.h b/include/scc/bits/linux/arm64/arch/inttypes.h
similarity index 100%
rename from include/bits/linux/arm64/arch/inttypes.h
rename to include/scc/bits/linux/arm64/arch/inttypes.h
diff --git a/include/bits/linux/arm64/arch/sigaction.h b/include/scc/bits/linux/arm64/arch/sigaction.h
similarity index 100%
rename from include/bits/linux/arm64/arch/sigaction.h
rename to include/scc/bits/linux/arm64/arch/sigaction.h
diff --git a/include/bits/linux/arm64/arch/stdint.h b/include/scc/bits/linux/arm64/arch/stdint.h
similarity index 100%
rename from include/bits/linux/arm64/arch/stdint.h
rename to include/scc/bits/linux/arm64/arch/stdint.h
diff --git a/include/bits/linux/arm64/arch/time.h b/include/scc/bits/linux/arm64/arch/time.h
similarity index 100%
rename from include/bits/linux/arm64/arch/time.h
rename to include/scc/bits/linux/arm64/arch/time.h
diff --git a/include/bits/linux/i386/arch/inttypes.h b/include/scc/bits/linux/i386/arch/inttypes.h
similarity index 100%
rename from include/bits/linux/i386/arch/inttypes.h
rename to include/scc/bits/linux/i386/arch/inttypes.h
diff --git a/include/bits/linux/i386/arch/sigaction.h b/include/scc/bits/linux/i386/arch/sigaction.h
similarity index 100%
rename from include/bits/linux/i386/arch/sigaction.h
rename to include/scc/bits/linux/i386/arch/sigaction.h
diff --git a/include/bits/linux/i386/arch/stdint.h b/include/scc/bits/linux/i386/arch/stdint.h
similarity index 100%
rename from include/bits/linux/i386/arch/stdint.h
rename to include/scc/bits/linux/i386/arch/stdint.h
diff --git a/include/bits/linux/i386/arch/time.h b/include/scc/bits/linux/i386/arch/time.h
similarity index 100%
rename from include/bits/linux/i386/arch/time.h
rename to include/scc/bits/linux/i386/arch/time.h
diff --git a/include/bits/linux/ppc/arch/inttypes.h b/include/scc/bits/linux/ppc/arch/inttypes.h
similarity index 100%
rename from include/bits/linux/ppc/arch/inttypes.h
rename to include/scc/bits/linux/ppc/arch/inttypes.h
diff --git a/include/bits/linux/ppc/arch/sigaction.h b/include/scc/bits/linux/ppc/arch/sigaction.h
similarity index 100%
rename from include/bits/linux/ppc/arch/sigaction.h
rename to include/scc/bits/linux/ppc/arch/sigaction.h
diff --git a/include/bits/linux/ppc/arch/stdint.h b/include/scc/bits/linux/ppc/arch/stdint.h
similarity index 100%
rename from include/bits/linux/ppc/arch/stdint.h
rename to include/scc/bits/linux/ppc/arch/stdint.h
diff --git a/include/bits/linux/ppc/arch/time.h b/include/scc/bits/linux/ppc/arch/time.h
similarity index 100%
rename from include/bits/linux/ppc/arch/time.h
rename to include/scc/bits/linux/ppc/arch/time.h
diff --git a/include/bits/linux/sys.h b/include/scc/bits/linux/sys.h
similarity index 100%
rename from include/bits/linux/sys.h
rename to include/scc/bits/linux/sys.h
diff --git a/include/bits/linux/sys/cdefs.h b/include/scc/bits/linux/sys/cdefs.h
similarity index 100%
rename from include/bits/linux/sys/cdefs.h
rename to include/scc/bits/linux/sys/cdefs.h
diff --git a/include/bits/linux/sys/errno.h b/include/scc/bits/linux/sys/errno.h
similarity index 100%
rename from include/bits/linux/sys/errno.h
rename to include/scc/bits/linux/sys/errno.h
diff --git a/include/bits/linux/sys/signal.h b/include/scc/bits/linux/sys/signal.h
similarity index 100%
rename from include/bits/linux/sys/signal.h
rename to include/scc/bits/linux/sys/signal.h
diff --git a/include/bits/linux/sys/stdio.h b/include/scc/bits/linux/sys/stdio.h
similarity index 100%
rename from include/bits/linux/sys/stdio.h
rename to include/scc/bits/linux/sys/stdio.h
diff --git a/include/bits/linux/sys/stdlib.h b/include/scc/bits/linux/sys/stdlib.h
similarity index 100%
rename from include/bits/linux/sys/stdlib.h
rename to include/scc/bits/linux/sys/stdlib.h
diff --git a/include/bits/netbsd/amd64/arch/inttypes.h b/include/scc/bits/netbsd/amd64/arch/inttypes.h
similarity index 100%
rename from include/bits/netbsd/amd64/arch/inttypes.h
rename to include/scc/bits/netbsd/amd64/arch/inttypes.h
diff --git a/include/bits/netbsd/amd64/arch/sigaction.h b/include/scc/bits/netbsd/amd64/arch/sigaction.h
similarity index 100%
rename from include/bits/netbsd/amd64/arch/sigaction.h
rename to include/scc/bits/netbsd/amd64/arch/sigaction.h
diff --git a/include/bits/netbsd/amd64/arch/stdint.h b/include/scc/bits/netbsd/amd64/arch/stdint.h
similarity index 100%
rename from include/bits/netbsd/amd64/arch/stdint.h
rename to include/scc/bits/netbsd/amd64/arch/stdint.h
diff --git a/include/bits/netbsd/amd64/arch/time.h b/include/scc/bits/netbsd/amd64/arch/time.h
similarity index 100%
rename from include/bits/netbsd/amd64/arch/time.h
rename to include/scc/bits/netbsd/amd64/arch/time.h
diff --git a/include/bits/netbsd/sys.h b/include/scc/bits/netbsd/sys.h
similarity index 100%
rename from include/bits/netbsd/sys.h
rename to include/scc/bits/netbsd/sys.h
diff --git a/include/bits/netbsd/sys/cdefs.h b/include/scc/bits/netbsd/sys/cdefs.h
similarity index 100%
rename from include/bits/netbsd/sys/cdefs.h
rename to include/scc/bits/netbsd/sys/cdefs.h
diff --git a/include/bits/netbsd/sys/errno.h b/include/scc/bits/netbsd/sys/errno.h
similarity index 100%
rename from include/bits/netbsd/sys/errno.h
rename to include/scc/bits/netbsd/sys/errno.h
diff --git a/include/bits/netbsd/sys/signal.h b/include/scc/bits/netbsd/sys/signal.h
similarity index 100%
rename from include/bits/netbsd/sys/signal.h
rename to include/scc/bits/netbsd/sys/signal.h
diff --git a/include/bits/netbsd/sys/stdio.h b/include/scc/bits/netbsd/sys/stdio.h
similarity index 100%
rename from include/bits/netbsd/sys/stdio.h
rename to include/scc/bits/netbsd/sys/stdio.h
diff --git a/include/bits/netbsd/sys/stdlib.h b/include/scc/bits/netbsd/sys/stdlib.h
similarity index 100%
rename from include/bits/netbsd/sys/stdlib.h
rename to include/scc/bits/netbsd/sys/stdlib.h
diff --git a/include/bits/openbsd/amd64/arch/inttypes.h b/include/scc/bits/openbsd/amd64/arch/inttypes.h
similarity index 100%
rename from include/bits/openbsd/amd64/arch/inttypes.h
rename to include/scc/bits/openbsd/amd64/arch/inttypes.h
diff --git a/include/bits/openbsd/amd64/arch/sigaction.h b/include/scc/bits/openbsd/amd64/arch/sigaction.h
similarity index 100%
rename from include/bits/openbsd/amd64/arch/sigaction.h
rename to include/scc/bits/openbsd/amd64/arch/sigaction.h
diff --git a/include/bits/openbsd/amd64/arch/stdint.h b/include/scc/bits/openbsd/amd64/arch/stdint.h
similarity index 100%
rename from include/bits/openbsd/amd64/arch/stdint.h
rename to include/scc/bits/openbsd/amd64/arch/stdint.h
diff --git a/include/bits/openbsd/amd64/arch/time.h b/include/scc/bits/openbsd/amd64/arch/time.h
similarity index 100%
rename from include/bits/openbsd/amd64/arch/time.h
rename to include/scc/bits/openbsd/amd64/arch/time.h
diff --git a/include/bits/openbsd/sys.h b/include/scc/bits/openbsd/sys.h
similarity index 100%
rename from include/bits/openbsd/sys.h
rename to include/scc/bits/openbsd/sys.h
diff --git a/include/bits/openbsd/sys/cdefs.h b/include/scc/bits/openbsd/sys/cdefs.h
similarity index 100%
rename from include/bits/openbsd/sys/cdefs.h
rename to include/scc/bits/openbsd/sys/cdefs.h
diff --git a/include/bits/openbsd/sys/errno.h b/include/scc/bits/openbsd/sys/errno.h
similarity index 100%
rename from include/bits/openbsd/sys/errno.h
rename to include/scc/bits/openbsd/sys/errno.h
diff --git a/include/bits/openbsd/sys/signal.h b/include/scc/bits/openbsd/sys/signal.h
similarity index 100%
rename from include/bits/openbsd/sys/signal.h
rename to include/scc/bits/openbsd/sys/signal.h
diff --git a/include/bits/openbsd/sys/stdio.h b/include/scc/bits/openbsd/sys/stdio.h
similarity index 100%
rename from include/bits/openbsd/sys/stdio.h
rename to include/scc/bits/openbsd/sys/stdio.h
diff --git a/include/bits/openbsd/sys/stdlib.h b/include/scc/bits/openbsd/sys/stdlib.h
similarity index 100%
rename from include/bits/openbsd/sys/stdlib.h
rename to include/scc/bits/openbsd/sys/stdlib.h
diff --git a/include/bits/ppc/arch/cdefs.h b/include/scc/bits/ppc/arch/cdefs.h
similarity index 100%
rename from include/bits/ppc/arch/cdefs.h
rename to include/scc/bits/ppc/arch/cdefs.h
diff --git a/include/bits/ppc/arch/limits.h b/include/scc/bits/ppc/arch/limits.h
similarity index 100%
rename from include/bits/ppc/arch/limits.h
rename to include/scc/bits/ppc/arch/limits.h
diff --git a/include/bits/ppc/arch/setjmp.h b/include/scc/bits/ppc/arch/setjmp.h
similarity index 100%
rename from include/bits/ppc/arch/setjmp.h
rename to include/scc/bits/ppc/arch/setjmp.h
diff --git a/include/bits/ppc/arch/stdlib.h b/include/scc/bits/ppc/arch/stdlib.h
similarity index 100%
rename from include/bits/ppc/arch/stdlib.h
rename to include/scc/bits/ppc/arch/stdlib.h
diff --git a/include/bits/ppc/arch/string.h b/include/scc/bits/ppc/arch/string.h
similarity index 100%
rename from include/bits/ppc/arch/string.h
rename to include/scc/bits/ppc/arch/string.h
diff --git a/include/bits/scc/.gitignore b/include/scc/bits/scc/.gitignore
similarity index 100%
rename from include/bits/scc/.gitignore
rename to include/scc/bits/scc/.gitignore
diff --git a/include/bits/scc/Makefile b/include/scc/bits/scc/Makefile
similarity index 96%
rename from include/bits/scc/Makefile
rename to include/scc/bits/scc/Makefile
index 807301ff..fbd2b432 100644
--- a/include/bits/scc/Makefile
+++ b/include/scc/bits/scc/Makefile
@@ -1,6 +1,6 @@
 .POSIX:
 
-PROJECTDIR = ../../..
+PROJECTDIR = ../../../..
 include $(PROJECTDIR)/scripts/rules.mk
 
 NODEP = 1
diff --git a/include/bits/scc/ar.h b/include/scc/bits/scc/ar.h
similarity index 100%
rename from include/bits/scc/ar.h
rename to include/scc/bits/scc/ar.h
diff --git a/include/bits/scc/arg.h b/include/scc/bits/scc/arg.h
similarity index 100%
rename from include/bits/scc/arg.h
rename to include/scc/bits/scc/arg.h
diff --git a/include/bits/scc/coff32.h b/include/scc/bits/scc/coff32.h
similarity index 100%
rename from include/bits/scc/coff32.h
rename to include/scc/bits/scc/coff32.h
diff --git a/include/bits/scc/coff32/aouthdr.h b/include/scc/bits/scc/coff32/aouthdr.h
similarity index 100%
rename from include/bits/scc/coff32/aouthdr.h
rename to include/scc/bits/scc/coff32/aouthdr.h
diff --git a/include/bits/scc/coff32/filehdr.h b/include/scc/bits/scc/coff32/filehdr.h
similarity index 100%
rename from include/bits/scc/coff32/filehdr.h
rename to include/scc/bits/scc/coff32/filehdr.h
diff --git a/include/bits/scc/coff32/linenum.h b/include/scc/bits/scc/coff32/linenum.h
similarity index 100%
rename from include/bits/scc/coff32/linenum.h
rename to include/scc/bits/scc/coff32/linenum.h
diff --git a/include/bits/scc/coff32/reloc.h b/include/scc/bits/scc/coff32/reloc.h
similarity index 100%
rename from include/bits/scc/coff32/reloc.h
rename to include/scc/bits/scc/coff32/reloc.h
diff --git a/include/bits/scc/coff32/scnhdr.h b/include/scc/bits/scc/coff32/scnhdr.h
similarity index 100%
rename from include/bits/scc/coff32/scnhdr.h
rename to include/scc/bits/scc/coff32/scnhdr.h
diff --git a/include/bits/scc/coff32/storclass.h b/include/scc/bits/scc/coff32/storclass.h
similarity index 100%
rename from include/bits/scc/coff32/storclass.h
rename to include/scc/bits/scc/coff32/storclass.h
diff --git a/include/bits/scc/coff32/syms.h b/include/scc/bits/scc/coff32/syms.h
similarity index 100%
rename from include/bits/scc/coff32/syms.h
rename to include/scc/bits/scc/coff32/syms.h
diff --git a/include/bits/scc/cstd-c89.h b/include/scc/bits/scc/cstd-c89.h
similarity index 100%
rename from include/bits/scc/cstd-c89.h
rename to include/scc/bits/scc/cstd-c89.h
diff --git a/include/bits/scc/cstd-c99.h b/include/scc/bits/scc/cstd-c99.h
similarity index 100%
rename from include/bits/scc/cstd-c99.h
rename to include/scc/bits/scc/cstd-c99.h
diff --git a/include/bits/scc/elf.h b/include/scc/bits/scc/elf.h
similarity index 100%
rename from include/bits/scc/elf.h
rename to include/scc/bits/scc/elf.h
diff --git a/include/bits/scc/elf/elfent.h b/include/scc/bits/scc/elf/elfent.h
similarity index 100%
rename from include/bits/scc/elf/elfent.h
rename to include/scc/bits/scc/elf/elfent.h
diff --git a/include/bits/scc/elf/elfhdr.h b/include/scc/bits/scc/elf/elfhdr.h
similarity index 100%
rename from include/bits/scc/elf/elfhdr.h
rename to include/scc/bits/scc/elf/elfhdr.h
diff --git a/include/bits/scc/elf/elfphdr.h b/include/scc/bits/scc/elf/elfphdr.h
similarity index 100%
rename from include/bits/scc/elf/elfphdr.h
rename to include/scc/bits/scc/elf/elfphdr.h
diff --git a/include/bits/scc/elf/elfrel.h b/include/scc/bits/scc/elf/elfrel.h
similarity index 100%
rename from include/bits/scc/elf/elfrel.h
rename to include/scc/bits/scc/elf/elfrel.h
diff --git a/include/bits/scc/elf/elfshdr.h b/include/scc/bits/scc/elf/elfshdr.h
similarity index 100%
rename from include/bits/scc/elf/elfshdr.h
rename to include/scc/bits/scc/elf/elfshdr.h
diff --git a/include/bits/scc/elf/elftypes.h b/include/scc/bits/scc/elf/elftypes.h
similarity index 100%
rename from include/bits/scc/elf/elftypes.h
rename to include/scc/bits/scc/elf/elftypes.h
diff --git a/include/bits/scc/elf64.h b/include/scc/bits/scc/elf64.h
similarity index 100%
rename from include/bits/scc/elf64.h
rename to include/scc/bits/scc/elf64.h
diff --git a/include/bits/scc/mach.h b/include/scc/bits/scc/mach.h
similarity index 100%
rename from include/bits/scc/mach.h
rename to include/scc/bits/scc/mach.h
diff --git a/include/bits/scc/scc.h b/include/scc/bits/scc/scc.h
similarity index 100%
rename from include/bits/scc/scc.h
rename to include/scc/bits/scc/scc.h
diff --git a/include/bits/scc/sys-musl.h b/include/scc/bits/scc/sys-musl.h
similarity index 100%
rename from include/bits/scc/sys-musl.h
rename to include/scc/bits/scc/sys-musl.h
diff --git a/include/bits/scc/sys-scc.h b/include/scc/bits/scc/sys-scc.h
similarity index 80%
rename from include/bits/scc/sys-scc.h
rename to include/scc/bits/scc/sys-scc.h
index 1eae4068..9d6ae86b 100644
--- a/include/bits/scc/sys-scc.h
+++ b/include/scc/bits/scc/sys-scc.h
@@ -3,10 +3,10 @@
 
 /* configure below your standard sys include paths */
 char *sysincludes[] = {
-	"%p/include/bits/%a/",
-	"%p/include/bits/%s/",
-	"%p/include/bits/%s/%a/",
-	"%p/include/",
+	"%p/include/scc/bits/%a/",
+	"%p/include/scc/bits/%s/",
+	"%p/include/scc/bits/%s/%a/",
+	"%p/include/scc/",
 	NULL
 };
 
diff --git a/include/bits/scc/sys-scc_clang.h b/include/scc/bits/scc/sys-scc_clang.h
similarity index 82%
rename from include/bits/scc/sys-scc_clang.h
rename to include/scc/bits/scc/sys-scc_clang.h
index 975acf18..25cc15de 100644
--- a/include/bits/scc/sys-scc_clang.h
+++ b/include/scc/bits/scc/sys-scc_clang.h
@@ -3,10 +3,10 @@
 
 /* configure below your standard sys include paths */
 char *sysincludes[] = {
-	"%p/include/bits/%a/",
-	"%p/include/bits/%s/",
-	"%p/include/bits/%s/%a/",
-	"%p/include/",
+	"%p/include/scc/bits/%a/",
+	"%p/include/scc/bits/%s/",
+	"%p/include/scc/bits/%s/%a/",
+	"%p/include/scc",
 	NULL
 };
 
diff --git a/include/bits/z80/arch/cdefs.h b/include/scc/bits/z80/arch/cdefs.h
similarity index 100%
rename from include/bits/z80/arch/cdefs.h
rename to include/scc/bits/z80/arch/cdefs.h
diff --git a/include/bits/z80/arch/limits.h b/include/scc/bits/z80/arch/limits.h
similarity index 100%
rename from include/bits/z80/arch/limits.h
rename to include/scc/bits/z80/arch/limits.h
diff --git a/include/bits/z80/arch/setjmp.h b/include/scc/bits/z80/arch/setjmp.h
similarity index 100%
rename from include/bits/z80/arch/setjmp.h
rename to include/scc/bits/z80/arch/setjmp.h
diff --git a/include/bits/z80/arch/stdint.h b/include/scc/bits/z80/arch/stdint.h
similarity index 100%
rename from include/bits/z80/arch/stdint.h
rename to include/scc/bits/z80/arch/stdint.h
diff --git a/include/bits/z80/arch/stdlib.h b/include/scc/bits/z80/arch/stdlib.h
similarity index 100%
rename from include/bits/z80/arch/stdlib.h
rename to include/scc/bits/z80/arch/stdlib.h
diff --git a/include/bits/z80/arch/string.h b/include/scc/bits/z80/arch/string.h
similarity index 100%
rename from include/bits/z80/arch/string.h
rename to include/scc/bits/z80/arch/string.h
diff --git a/include/ctype.h b/include/scc/ctype.h
similarity index 100%
rename from include/ctype.h
rename to include/scc/ctype.h
diff --git a/include/errno.h b/include/scc/errno.h
similarity index 100%
rename from include/errno.h
rename to include/scc/errno.h
diff --git a/include/float.h b/include/scc/float.h
similarity index 100%
rename from include/float.h
rename to include/scc/float.h
diff --git a/include/inttypes.h b/include/scc/inttypes.h
similarity index 100%
rename from include/inttypes.h
rename to include/scc/inttypes.h
diff --git a/include/iso646.h b/include/scc/iso646.h
similarity index 100%
rename from include/iso646.h
rename to include/scc/iso646.h
diff --git a/include/limits.h b/include/scc/limits.h
similarity index 100%
rename from include/limits.h
rename to include/scc/limits.h
diff --git a/include/locale.h b/include/scc/locale.h
similarity index 100%
rename from include/locale.h
rename to include/scc/locale.h
diff --git a/include/math.h b/include/scc/math.h
similarity index 100%
rename from include/math.h
rename to include/scc/math.h
diff --git a/include/setjmp.h b/include/scc/setjmp.h
similarity index 100%
rename from include/setjmp.h
rename to include/scc/setjmp.h
diff --git a/include/signal.h b/include/scc/signal.h
similarity index 100%
rename from include/signal.h
rename to include/scc/signal.h
diff --git a/include/stdarg.h b/include/scc/stdarg.h
similarity index 100%
rename from include/stdarg.h
rename to include/scc/stdarg.h
diff --git a/include/stdbool.h b/include/scc/stdbool.h
similarity index 100%
rename from include/stdbool.h
rename to include/scc/stdbool.h
diff --git a/include/stddef.h b/include/scc/stddef.h
similarity index 100%
rename from include/stddef.h
rename to include/scc/stddef.h
diff --git a/include/stdint.h b/include/scc/stdint.h
similarity index 100%
rename from include/stdint.h
rename to include/scc/stdint.h
diff --git a/include/stdio.h b/include/scc/stdio.h
similarity index 100%
rename from include/stdio.h
rename to include/scc/stdio.h
diff --git a/include/stdlib.h b/include/scc/stdlib.h
similarity index 100%
rename from include/stdlib.h
rename to include/scc/stdlib.h
diff --git a/include/string.h b/include/scc/string.h
similarity index 100%
rename from include/string.h
rename to include/scc/string.h
diff --git a/include/time.h b/include/scc/time.h
similarity index 100%
rename from include/time.h
rename to include/scc/time.h
diff --git a/include/wchar.h b/include/scc/wchar.h
similarity index 100%
rename from include/wchar.h
rename to include/scc/wchar.h
diff --git a/include/wctype.h b/include/scc/wctype.h
similarity index 100%
rename from include/wctype.h
rename to include/scc/wctype.h
diff --git a/main.mk b/main.mk
index c1c556bc..351442a0 100644
--- a/main.mk
+++ b/main.mk
@@ -4,7 +4,7 @@ DIRS  =\
 	src\
 	src/libc\
 	src/libcrt\
-	include/bits/scc\
+	include/scc/bits/scc\
 	tests\
 
 PROJECTDIR = .
@@ -18,7 +18,7 @@ all:
 	+@$(MAKE) -f main.mk $(ARCH)
 
 config: FORCE
-	+@cd include/bits/scc && $(MAKE)
+	+@cd include/scc/bits/scc && $(MAKE)
 
 install: all
 	$(SCRIPTDIR)/install $(ROOT)
@@ -44,9 +44,9 @@ clean:
 	rm -rf dirs coverage
 
 distclean: clean
-	rm -f include/bits/scc/cstd.h
-	rm -f include/bits/scc/sys.h
-	rm -f include/bits/scc/config.h
+	rm -f include/scc/bits/scc/cstd.h
+	rm -f include/scc/bits/scc/sys.h
+	rm -f include/scc/bits/scc/config.h
 
 include scripts/amd64.mk
 include scripts/arm.mk
diff --git a/scripts/proto.all b/scripts/proto.all
index 263ee38d..9f102e38 100644
--- a/scripts/proto.all
+++ b/scripts/proto.all
@@ -15,180 +15,181 @@ f 755 bin/scc-ranlib
 f 755 bin/scc-size
 f 755 bin/scc-strip
 d 755 include
-f 644 include/assert.h
-d 755 include/bits
-d 755 include/bits/amd64
-d 755 include/bits/amd64/arch
-f 644 include/bits/amd64/arch/cdefs.h
-f 644 include/bits/amd64/arch/float.h
-f 644 include/bits/amd64/arch/limits.h
-f 644 include/bits/amd64/arch/setjmp.h
-f 644 include/bits/amd64/arch/stdlib.h
-f 644 include/bits/amd64/arch/string.h
-d 755 include/bits/arm
-d 755 include/bits/arm/arch
-f 644 include/bits/arm/arch/cdefs.h
-f 644 include/bits/arm/arch/limits.h
-f 644 include/bits/arm/arch/setjmp.h
-f 644 include/bits/arm/arch/stdlib.h
-f 644 include/bits/arm/arch/string.h
-d 755 include/bits/arm64
-d 755 include/bits/arm64/arch
-f 644 include/bits/arm64/arch/cdefs.h
-f 644 include/bits/arm64/arch/limits.h
-f 644 include/bits/arm64/arch/setjmp.h
-f 644 include/bits/arm64/arch/stdlib.h
-f 644 include/bits/arm64/arch/string.h
-d 755 include/bits/darwin
-d 755 include/bits/darwin/amd64
-d 755 include/bits/darwin/amd64/arch
-f 644 include/bits/darwin/amd64/arch/inttypes.h
-f 644 include/bits/darwin/amd64/arch/sigaction.h
-f 644 include/bits/darwin/amd64/arch/stdint.h
-f 644 include/bits/darwin/amd64/arch/time.h
-d 755 include/bits/darwin/sys
-f 644 include/bits/darwin/sys.h
-f 644 include/bits/darwin/sys/cdefs.h
-f 644 include/bits/darwin/sys/errno.h
-f 644 include/bits/darwin/sys/signal.h
-f 644 include/bits/darwin/sys/stdio.h
-f 644 include/bits/darwin/sys/stdlib.h
-d 755 include/bits/dragonfly
-d 755 include/bits/dragonfly/amd64
-d 755 include/bits/dragonfly/amd64/arch
-f 644 include/bits/dragonfly/amd64/arch/inttypes.h
-f 644 include/bits/dragonfly/amd64/arch/sigaction.h
-f 644 include/bits/dragonfly/amd64/arch/stdint.h
-f 644 include/bits/dragonfly/amd64/arch/time.h
-d 755 include/bits/dragonfly/sys
-f 644 include/bits/dragonfly/sys.h
-f 644 include/bits/dragonfly/sys/cdefs.h
-f 644 include/bits/dragonfly/sys/errno.h
-f 644 include/bits/dragonfly/sys/signal.h
-f 644 include/bits/dragonfly/sys/stdio.h
-f 644 include/bits/dragonfly/sys/stdlib.h
-d 755 include/bits/freebsd
-d 755 include/bits/freebsd/amd64
-d 755 include/bits/freebsd/amd64/arch
-f 644 include/bits/freebsd/amd64/arch/inttypes.h
-f 644 include/bits/freebsd/amd64/arch/sigaction.h
-f 644 include/bits/freebsd/amd64/arch/stdint.h
-f 644 include/bits/freebsd/amd64/arch/time.h
-d 755 include/bits/freebsd/sys
-f 644 include/bits/freebsd/sys.h
-f 644 include/bits/freebsd/sys/cdefs.h
-f 644 include/bits/freebsd/sys/errno.h
-f 644 include/bits/freebsd/sys/signal.h
-f 644 include/bits/freebsd/sys/stdio.h
-f 644 include/bits/freebsd/sys/stdlib.h
-d 755 include/bits/i386
-d 755 include/bits/i386/arch
-f 644 include/bits/i386/arch/cdefs.h
-f 644 include/bits/i386/arch/limits.h
-f 644 include/bits/i386/arch/setjmp.h
-f 644 include/bits/i386/arch/stdlib.h
-f 644 include/bits/i386/arch/string.h
-d 755 include/bits/linux
-d 755 include/bits/linux/amd64
-d 755 include/bits/linux/amd64/arch
-f 644 include/bits/linux/amd64/arch/inttypes.h
-f 644 include/bits/linux/amd64/arch/sigaction.h
-f 644 include/bits/linux/amd64/arch/stdint.h
-f 644 include/bits/linux/amd64/arch/time.h
-d 755 include/bits/linux/arm
-d 755 include/bits/linux/arm/arch
-f 644 include/bits/linux/arm/arch/inttypes.h
-f 644 include/bits/linux/arm/arch/sigaction.h
-f 644 include/bits/linux/arm/arch/stdint.h
-f 644 include/bits/linux/arm/arch/time.h
-d 755 include/bits/linux/arm64
-d 755 include/bits/linux/arm64/arch
-f 644 include/bits/linux/arm64/arch/inttypes.h
-f 644 include/bits/linux/arm64/arch/sigaction.h
-f 644 include/bits/linux/arm64/arch/stdint.h
-f 644 include/bits/linux/arm64/arch/time.h
-d 755 include/bits/linux/i386
-d 755 include/bits/linux/i386/arch
-f 644 include/bits/linux/i386/arch/inttypes.h
-f 644 include/bits/linux/i386/arch/sigaction.h
-f 644 include/bits/linux/i386/arch/stdint.h
-f 644 include/bits/linux/i386/arch/time.h
-d 755 include/bits/linux/ppc
-d 755 include/bits/linux/ppc/arch
-f 644 include/bits/linux/ppc/arch/inttypes.h
-f 644 include/bits/linux/ppc/arch/sigaction.h
-f 644 include/bits/linux/ppc/arch/stdint.h
-f 644 include/bits/linux/ppc/arch/time.h
-d 755 include/bits/linux/sys
-f 644 include/bits/linux/sys.h
-f 644 include/bits/linux/sys/cdefs.h
-f 644 include/bits/linux/sys/errno.h
-f 644 include/bits/linux/sys/signal.h
-f 644 include/bits/linux/sys/stdio.h
-f 644 include/bits/linux/sys/stdlib.h
-d 755 include/bits/netbsd
-d 755 include/bits/netbsd/amd64
-d 755 include/bits/netbsd/amd64/arch
-f 644 include/bits/netbsd/amd64/arch/inttypes.h
-f 644 include/bits/netbsd/amd64/arch/sigaction.h
-f 644 include/bits/netbsd/amd64/arch/stdint.h
-f 644 include/bits/netbsd/amd64/arch/time.h
-d 755 include/bits/netbsd/sys
-f 644 include/bits/netbsd/sys.h
-f 644 include/bits/netbsd/sys/cdefs.h
-f 644 include/bits/netbsd/sys/errno.h
-f 644 include/bits/netbsd/sys/signal.h
-f 644 include/bits/netbsd/sys/stdio.h
-f 644 include/bits/netbsd/sys/stdlib.h
-d 755 include/bits/openbsd
-d 755 include/bits/openbsd/amd64
-d 755 include/bits/openbsd/amd64/arch
-f 644 include/bits/openbsd/amd64/arch/inttypes.h
-f 644 include/bits/openbsd/amd64/arch/sigaction.h
-f 644 include/bits/openbsd/amd64/arch/stdint.h
-f 644 include/bits/openbsd/amd64/arch/time.h
-d 755 include/bits/openbsd/sys
-f 644 include/bits/openbsd/sys.h
-f 644 include/bits/openbsd/sys/cdefs.h
-f 644 include/bits/openbsd/sys/errno.h
-f 644 include/bits/openbsd/sys/signal.h
-f 644 include/bits/openbsd/sys/stdio.h
-f 644 include/bits/openbsd/sys/stdlib.h
-d 755 include/bits/ppc
-d 755 include/bits/ppc/arch
-f 644 include/bits/ppc/arch/cdefs.h
-f 644 include/bits/ppc/arch/limits.h
-f 644 include/bits/ppc/arch/setjmp.h
-f 644 include/bits/ppc/arch/stdlib.h
-f 644 include/bits/ppc/arch/string.h
-d 755 include/bits/z80
-d 755 include/bits/z80/arch
-f 644 include/bits/z80/arch/cdefs.h
-f 644 include/bits/z80/arch/limits.h
-f 644 include/bits/z80/arch/setjmp.h
-f 644 include/bits/z80/arch/stdint.h
-f 644 include/bits/z80/arch/stdlib.h
-f 644 include/bits/z80/arch/string.h
-f 644 include/ctype.h
-f 644 include/errno.h
-f 644 include/float.h
-f 644 include/inttypes.h
-f 644 include/iso646.h
-f 644 include/limits.h
-f 644 include/locale.h
-f 644 include/math.h
-f 644 include/setjmp.h
-f 644 include/signal.h
-f 644 include/stdarg.h
-f 644 include/stdbool.h
-f 644 include/stddef.h
-f 644 include/stdint.h
-f 644 include/stdio.h
-f 644 include/stdlib.h
-f 644 include/string.h
-f 644 include/time.h
-f 644 include/wchar.h
-f 644 include/wctype.h
+d 755 include/scc
+f 644 include/scc/assert.h
+d 755 include/scc/bits
+d 755 include/scc/bits/amd64
+d 755 include/scc/bits/amd64/arch
+f 644 include/scc/bits/amd64/arch/cdefs.h
+f 644 include/scc/bits/amd64/arch/float.h
+f 644 include/scc/bits/amd64/arch/limits.h
+f 644 include/scc/bits/amd64/arch/setjmp.h
+f 644 include/scc/bits/amd64/arch/stdlib.h
+f 644 include/scc/bits/amd64/arch/string.h
+d 755 include/scc/bits/arm
+d 755 include/scc/bits/arm/arch
+f 644 include/scc/bits/arm/arch/cdefs.h
+f 644 include/scc/bits/arm/arch/limits.h
+f 644 include/scc/bits/arm/arch/setjmp.h
+f 644 include/scc/bits/arm/arch/stdlib.h
+f 644 include/scc/bits/arm/arch/string.h
+d 755 include/scc/bits/arm64
+d 755 include/scc/bits/arm64/arch
+f 644 include/scc/bits/arm64/arch/cdefs.h
+f 644 include/scc/bits/arm64/arch/limits.h
+f 644 include/scc/bits/arm64/arch/setjmp.h
+f 644 include/scc/bits/arm64/arch/stdlib.h
+f 644 include/scc/bits/arm64/arch/string.h
+d 755 include/scc/bits/darwin
+d 755 include/scc/bits/darwin/amd64
+d 755 include/scc/bits/darwin/amd64/arch
+f 644 include/scc/bits/darwin/amd64/arch/inttypes.h
+f 644 include/scc/bits/darwin/amd64/arch/sigaction.h
+f 644 include/scc/bits/darwin/amd64/arch/stdint.h
+f 644 include/scc/bits/darwin/amd64/arch/time.h
+d 755 include/scc/bits/darwin/sys
+f 644 include/scc/bits/darwin/sys.h
+f 644 include/scc/bits/darwin/sys/cdefs.h
+f 644 include/scc/bits/darwin/sys/errno.h
+f 644 include/scc/bits/darwin/sys/signal.h
+f 644 include/scc/bits/darwin/sys/stdio.h
+f 644 include/scc/bits/darwin/sys/stdlib.h
+d 755 include/scc/bits/dragonfly
+d 755 include/scc/bits/dragonfly/amd64
+d 755 include/scc/bits/dragonfly/amd64/arch
+f 644 include/scc/bits/dragonfly/amd64/arch/inttypes.h
+f 644 include/scc/bits/dragonfly/amd64/arch/sigaction.h
+f 644 include/scc/bits/dragonfly/amd64/arch/stdint.h
+f 644 include/scc/bits/dragonfly/amd64/arch/time.h
+d 755 include/scc/bits/dragonfly/sys
+f 644 include/scc/bits/dragonfly/sys.h
+f 644 include/scc/bits/dragonfly/sys/cdefs.h
+f 644 include/scc/bits/dragonfly/sys/errno.h
+f 644 include/scc/bits/dragonfly/sys/signal.h
+f 644 include/scc/bits/dragonfly/sys/stdio.h
+f 644 include/scc/bits/dragonfly/sys/stdlib.h
+d 755 include/scc/bits/freebsd
+d 755 include/scc/bits/freebsd/amd64
+d 755 include/scc/bits/freebsd/amd64/arch
+f 644 include/scc/bits/freebsd/amd64/arch/inttypes.h
+f 644 include/scc/bits/freebsd/amd64/arch/sigaction.h
+f 644 include/scc/bits/freebsd/amd64/arch/stdint.h
+f 644 include/scc/bits/freebsd/amd64/arch/time.h
+d 755 include/scc/bits/freebsd/sys
+f 644 include/scc/bits/freebsd/sys.h
+f 644 include/scc/bits/freebsd/sys/cdefs.h
+f 644 include/scc/bits/freebsd/sys/errno.h
+f 644 include/scc/bits/freebsd/sys/signal.h
+f 644 include/scc/bits/freebsd/sys/stdio.h
+f 644 include/scc/bits/freebsd/sys/stdlib.h
+d 755 include/scc/bits/i386
+d 755 include/scc/bits/i386/arch
+f 644 include/scc/bits/i386/arch/cdefs.h
+f 644 include/scc/bits/i386/arch/limits.h
+f 644 include/scc/bits/i386/arch/setjmp.h
+f 644 include/scc/bits/i386/arch/stdlib.h
+f 644 include/scc/bits/i386/arch/string.h
+d 755 include/scc/bits/linux
+d 755 include/scc/bits/linux/amd64
+d 755 include/scc/bits/linux/amd64/arch
+f 644 include/scc/bits/linux/amd64/arch/inttypes.h
+f 644 include/scc/bits/linux/amd64/arch/sigaction.h
+f 644 include/scc/bits/linux/amd64/arch/stdint.h
+f 644 include/scc/bits/linux/amd64/arch/time.h
+d 755 include/scc/bits/linux/arm
+d 755 include/scc/bits/linux/arm/arch
+f 644 include/scc/bits/linux/arm/arch/inttypes.h
+f 644 include/scc/bits/linux/arm/arch/sigaction.h
+f 644 include/scc/bits/linux/arm/arch/stdint.h
+f 644 include/scc/bits/linux/arm/arch/time.h
+d 755 include/scc/bits/linux/arm64
+d 755 include/scc/bits/linux/arm64/arch
+f 644 include/scc/bits/linux/arm64/arch/inttypes.h
+f 644 include/scc/bits/linux/arm64/arch/sigaction.h
+f 644 include/scc/bits/linux/arm64/arch/stdint.h
+f 644 include/scc/bits/linux/arm64/arch/time.h
+d 755 include/scc/bits/linux/i386
+d 755 include/scc/bits/linux/i386/arch
+f 644 include/scc/bits/linux/i386/arch/inttypes.h
+f 644 include/scc/bits/linux/i386/arch/sigaction.h
+f 644 include/scc/bits/linux/i386/arch/stdint.h
+f 644 include/scc/bits/linux/i386/arch/time.h
+d 755 include/scc/bits/linux/ppc
+d 755 include/scc/bits/linux/ppc/arch
+f 644 include/scc/bits/linux/ppc/arch/inttypes.h
+f 644 include/scc/bits/linux/ppc/arch/sigaction.h
+f 644 include/scc/bits/linux/ppc/arch/stdint.h
+f 644 include/scc/bits/linux/ppc/arch/time.h
+d 755 include/scc/bits/linux/sys
+f 644 include/scc/bits/linux/sys.h
+f 644 include/scc/bits/linux/sys/cdefs.h
+f 644 include/scc/bits/linux/sys/errno.h
+f 644 include/scc/bits/linux/sys/signal.h
+f 644 include/scc/bits/linux/sys/stdio.h
+f 644 include/scc/bits/linux/sys/stdlib.h
+d 755 include/scc/bits/netbsd
+d 755 include/scc/bits/netbsd/amd64
+d 755 include/scc/bits/netbsd/amd64/arch
+f 644 include/scc/bits/netbsd/amd64/arch/inttypes.h
+f 644 include/scc/bits/netbsd/amd64/arch/sigaction.h
+f 644 include/scc/bits/netbsd/amd64/arch/stdint.h
+f 644 include/scc/bits/netbsd/amd64/arch/time.h
+d 755 include/scc/bits/netbsd/sys
+f 644 include/scc/bits/netbsd/sys.h
+f 644 include/scc/bits/netbsd/sys/cdefs.h
+f 644 include/scc/bits/netbsd/sys/errno.h
+f 644 include/scc/bits/netbsd/sys/signal.h
+f 644 include/scc/bits/netbsd/sys/stdio.h
+f 644 include/scc/bits/netbsd/sys/stdlib.h
+d 755 include/scc/bits/openbsd
+d 755 include/scc/bits/openbsd/amd64
+d 755 include/scc/bits/openbsd/amd64/arch
+f 644 include/scc/bits/openbsd/amd64/arch/inttypes.h
+f 644 include/scc/bits/openbsd/amd64/arch/sigaction.h
+f 644 include/scc/bits/openbsd/amd64/arch/stdint.h
+f 644 include/scc/bits/openbsd/amd64/arch/time.h
+d 755 include/scc/bits/openbsd/sys
+f 644 include/scc/bits/openbsd/sys.h
+f 644 include/scc/bits/openbsd/sys/cdefs.h
+f 644 include/scc/bits/openbsd/sys/errno.h
+f 644 include/scc/bits/openbsd/sys/signal.h
+f 644 include/scc/bits/openbsd/sys/stdio.h
+f 644 include/scc/bits/openbsd/sys/stdlib.h
+d 755 include/scc/bits/ppc
+d 755 include/scc/bits/ppc/arch
+f 644 include/scc/bits/ppc/arch/cdefs.h
+f 644 include/scc/bits/ppc/arch/limits.h
+f 644 include/scc/bits/ppc/arch/setjmp.h
+f 644 include/scc/bits/ppc/arch/stdlib.h
+f 644 include/scc/bits/ppc/arch/string.h
+d 755 include/scc/bits/z80
+d 755 include/scc/bits/z80/arch
+f 644 include/scc/bits/z80/arch/cdefs.h
+f 644 include/scc/bits/z80/arch/limits.h
+f 644 include/scc/bits/z80/arch/setjmp.h
+f 644 include/scc/bits/z80/arch/stdint.h
+f 644 include/scc/bits/z80/arch/stdlib.h
+f 644 include/scc/bits/z80/arch/string.h
+f 644 include/scc/ctype.h
+f 644 include/scc/errno.h
+f 644 include/scc/float.h
+f 644 include/scc/inttypes.h
+f 644 include/scc/iso646.h
+f 644 include/scc/limits.h
+f 644 include/scc/locale.h
+f 644 include/scc/math.h
+f 644 include/scc/setjmp.h
+f 644 include/scc/signal.h
+f 644 include/scc/stdarg.h
+f 644 include/scc/stdbool.h
+f 644 include/scc/stddef.h
+f 644 include/scc/stdint.h
+f 644 include/scc/stdio.h
+f 644 include/scc/stdlib.h
+f 644 include/scc/string.h
+f 644 include/scc/time.h
+f 644 include/scc/wchar.h
+f 644 include/scc/wctype.h
 d 755 libexec
 d 755 libexec/scc
 f 755 libexec/scc/as-amd64
diff --git a/scripts/rules.mk b/scripts/rules.mk
index 728c5553..3f99f264 100644
--- a/scripts/rules.mk
+++ b/scripts/rules.mk
@@ -12,7 +12,7 @@ include $(PROJECTDIR)/config.mk
 
 # Define helper macros for project directories
 DOCDIR    = $(PROJECTDIR)/doc
-INCDIR    = $(PROJECTDIR)/include
+INCDIR    = $(PROJECTDIR)/include/scc
 BINDIR    = $(PROJECTDIR)/bin
 SRCDIR    = $(PROJECTDIR)/src
 SCRIPTDIR = $(PROJECTDIR)/scripts
diff --git a/src/libc/gcc-scc.sh b/src/libc/gcc-scc.sh
index 4c7d2bda..5afbbd35 100755
--- a/src/libc/gcc-scc.sh
+++ b/src/libc/gcc-scc.sh
@@ -39,7 +39,7 @@ sys=${sys:-`uname | tr 'A-Z' 'a-z'`}
 abi=${abi:-amd64}
 out=${out:-a.out}
 root=${root:-${SCCPREFIX:-`dirname $0`/..}}
-inc=$root/include
+inc=$root/include/scc
 arch_inc=$inc/bits/$abi
 sys_inc=$inc/bits/$sys
 sys_arch_inc=$inc/bits/$sys/$abi
-- 
2.45.4

